<?php
	session_start();
	if($_SESSION['centro']=="")
	{
		header("location:seleccionarcentro.php");
	}
	if($_REQUEST['nalumnos']=="")
	{
		header("location:asesoramiento.php");
	}
	include ("../../conexion.php");
	
	include_once ("../../include/pclzip.lib.php");

	$bufer='<?xml version="1.0" encoding="utf-8"?>
		 		<alumnos>';
	$alumnosExportados=0;
	for($i=0, $c=0; $i<=$_REQUEST['nalumnos']; $i++)
	{
		if($_REQUEST['alu'.$i])
		{
			$archivos="";
			$bufer.='		<alumno>';
			$alumnosExportados++;

			$id=$_REQUEST['alu'.$i];

			//alumno

			$consulta=mysql_query("SELECT * FROM alumnos WHERE id=".$id);
			$fila=mysql_fetch_array($consulta);
			
			$nie=$fila['NIE'];

			$bufer.='			<nombre>'.$fila['nombre'].'</nombre>';
			$bufer.='			<apellidos>'.$fila['apellidos'].'</apellidos>';
			$bufer.='			<NIE>'.$fila['NIE'].'</NIE>';

			$bufer.='			<idCurso>'.$fila['idCurso'].'</idCurso>';
			$bufer.='			<idGrupo>'.$fila['idGrupo'].'</idGrupo>';
			$bufer.='			<numGrupo>'.$fila['numGrupo'].'</numGrupo>';
			$bufer.='			<idSituacionEducativa>'.$fila['idSituacionEducativa'].'</idSituacionEducativa>';
			$bufer.='			<tutor>'.$fila['tutor'].'</tutor>';
			$bufer.='			<fechaNacimiento>'.$fila['fechaNacimiento'].'</fechaNacimiento>';
			$bufer.='			<lugarNacimiento>'.$fila['lugarNacimiento'].'</lugarNacimiento>';
			$bufer.='			<domicilio>'.$fila['domicilio'].'</domicilio>';
			$bufer.='			<localidad>'.$fila['localidad'].'</localidad>';
			$bufer.='			<telefono>'.$fila['telefono'].'</telefono>';
			$bufer.='			<telefono2>'.$fila['telefono2'].'</telefono2>';
			$bufer.='			<nombrePadre>'.$fila['nombrePadre'].'</nombrePadre>';
			if($fila['edadPadre']!="")
				$bufer.='			<edadPadre>'.$fila['edadPadre'].'</edadPadre>';
			else
				$bufer.='			<edadPadre>NULL</edadPadre>';
			$bufer.='			<profesionPadre>'.$fila['profesionPadre'].'</profesionPadre>';
			$bufer.='			<estudiosPadre>'.$fila['estudiosPadre'].'</estudiosPadre>';
			$bufer.='			<nombreMadre>'.$fila['nombreMadre'].'</nombreMadre>';
			if($fila['edadMadre']!="")
				$bufer.='			<edadMadre>'.$fila['edadMadre'].'</edadMadre>';
			else
				$bufer.='			<edadMadre>NULL</edadMadre>';
			$bufer.='			<profesionMadre>'.$fila['profesionMadre'].'</profesionMadre>';
			$bufer.='			<estudiosMadre>'.$fila['estudiosMadre'].'</estudiosMadre>';
			$bufer.='			<numeroHermanos>'.$fila['numeroHermanos'].'</numeroHermanos>';
			$bufer.='			<posicionOcupa>'.$fila['posicionOcupa'].'</posicionOcupa>';
			$bufer.='			<centroProcedencia>'.$fila['centroProcedencia'].'</centroProcedencia>';
			if($fila['fotografia']!="" && file_exists("fotos/".$fila['fotografia']))
			{
				$archivos.="fotos/".$fila['fotografia'].",";
				$bufer.='			<fotografia>'.$fila['fotografia'].'</fotografia>';
			} else
				$bufer.='			<fotografia></fotografia>';			
			if($fila['idGrupoSocial']!="")
				$bufer.='			<idGrupoSocial>'.$fila['idGrupoSocial'].'</idGrupoSocial>';
			else
				$bufer.='			<idGrupoSocial>NULL</idGrupoSocial>';
			$bufer.='			<situfam>'.$fila['situfam'].'</situfam>';
			$bufer.='			<valsitufam>'.$fila['valsitufam'].'</valsitufam>';
                        for($k=1;$k<6;$k++)
                        {
                            if($fila['valsitufamDoc'.$k]!="" && file_exists("documentos/contexto/".$fila['valsitufamDoc'.$k]))
                            {
                                    $archivos.="documentos/contexto/".$fila['valsitufamDoc'.$k].",";
                                    $bufer.='			<valsitufamDoc'.$k.'>'.$fila['valsitufamDoc'.$k].'</valsitufamDoc'.$k.'>';
                            } else
                                    $bufer.='			<valsitufamDoc'.$k.'></valsitufamDoc'.$k.'>';
                        }
			$bufer.='			<situeco>'.$fila['situeco'].'</situeco>';
			$bufer.='			<valsitueco>'.$fila['valsitueco'].'</valsitueco>';
                        for($k=1;$k<6;$k++)
                        {
                            if($fila['valsituecoDoc'.$k]!="" && file_exists("documentos/contexto/".$fila['valsituecoDoc'.$k]))
                            {
                                    $archivos.="documentos/contexto/".$fila['valsituecoDoc'.$k].",";
                                    $bufer.='			<valsituecoDoc'.$k.'>'.$fila['valsituecoDoc'.$k].'</valsituecoDoc'.$k.'>';
                            } else
                                    $bufer.='			<valsituecoDoc'.$k.'></valsituecoDoc'.$k.'>';
                        }
			$bufer.='			<situvivi>'.$fila['situvivi'].'</situvivi>';
			$bufer.='			<valsituvivi>'.$fila['valsituvivi'].'</valsituvivi>';
                        for($k=1;$k<6;$k++)
                        {
                            if($fila['valsituviviDoc'.$k]!="" && file_exists("documentos/contexto/".$fila['valsituviviDoc'.$k]))
                            {
                                    $archivos.="documentos/contexto/".$fila['valsituviviDoc'.$k].",";
                                    $bufer.='			<valsituviviDoc'.$k.'>'.$fila['valsituviviDoc'.$k].'</valsituviviDoc'.$k.'>';
                            } else
                                    $bufer.='			<valsituviviDoc'.$k.'></valsituviviDoc'.$k.'>';
                        }

		//historial

			$consultaHistorial=mysql_query("SELECT * FROM historial WHERE idAlumno=".$id." ORDER BY id",$conexion);

			$bufer.='			<historiales>';

			while($filaHistorial=mysql_fetch_array($consultaHistorial))
			{
				$bufer.='				<historial>';
				$bufer.='					<nivel>'.$filaHistorial['nivel'].'</nivel>';
				$bufer.='					<idCurso>'.$filaHistorial['idCurso'].'</idCurso>';
				if($filaHistorial['idAnio']!="")
					$bufer.='					<idAnio>'.$filaHistorial['idAnio'].'</idAnio>';
				else
					$bufer.='					<idAnio>NULL</idAnio>';
				$bufer.='					<centro>'.$filaHistorial['centro'].'</centro>';
				if($filaHistorial['idMed']!="")
					$bufer.='					<idMed>'.$filaHistorial['idMed'].'</idMed>';
				else
					$bufer.='					<idMed>NULL</idMed>';
				if($filaHistorial['idAbs']!="")
					$bufer.='					<idAbs>'.$filaHistorial['idAbs'].'</idAbs>';
				else
					$bufer.='					<idAbs>NULL</idAbs>';
				$bufer.='					<observaciones>'.$filaHistorial['observaciones'].'</observaciones>';
                                for($k=1;$k<6;$k++)
                                {
                                    if($filaHistorial['observacionesDoc'.$k]!="" && file_exists("documentos/historial/".$filaHistorial['observacionesDoc'.$k]))
                                    {
                                            $archivos.="documentos/historial/".$filaHistorial['observacionesDoc'.$k].",";
                                            $bufer.='					<observacionesDoc'.$k.'>'.$filaHistorial['observacionesDoc'.$k].'</observacionesDoc'.$k.'>';
                                    } else
                                            $bufer.='					<observacionesDoc'.$k.'></observacionesDoc'.$k.'>';
                                }
				$bufer.='					<programa>'.$filaHistorial['programa'].'</programa>';
				$bufer.='					<modalidad>'.$filaHistorial['modalidad'].'</modalidad>';
				$bufer.='					<superaPrueba>'.$filaHistorial['superaPrueba'].'</superaPrueba>';
				$bufer.='					<obtieneGeso>'.$filaHistorial['obtieneGeso'].'</obtieneGeso>';
				$bufer.='					<grado>'.$filaHistorial['grado'].'</grado>';
				$bufer.='					<denCiclo>'.$filaHistorial['denCiclo'].'</denCiclo>';
				$bufer.='					<famProf>'.$filaHistorial['famProf'].'</famProf>';
				$bufer.='					<modular>'.$filaHistorial['modular'].'</modular>';

				$bufer.='				</historial>';
			}
			$bufer.='			</historiales>';

		//obsevaluaciones

			$consultaObsEvaluaciones=mysql_query("SELECT * FROM obsevaluaciones WHERE idAlumno=".$id." ORDER BY id",$conexion);
			
			$bufer.='			<obsevaluaciones>';

			while($filaObsEvaluaciones=mysql_fetch_array($consultaObsEvaluaciones))
			{
				$bufer.='				<obsevaluacion>';
				$bufer.='					<idCurso>'.$filaObsEvaluaciones['idCurso'].'</idCurso>';
				$bufer.='					<EvInicial>'.$filaObsEvaluaciones['EvInicial'].'</EvInicial>';
				for($k=1;$k<6;$k++)
                                {
                                    if($filaObsEvaluaciones['EvInicialDoc'.$k]!="" && file_exists("documentos/expediente/".$filaObsEvaluaciones['EvInicialDoc'.$k]))
                                    {
                                            $archivos.="documentos/expediente/".$filaObsEvaluaciones['EvInicialDoc'.$k].",";
                                            $bufer.='					<EvInicialDoc'.$k.'>'.$filaObsEvaluaciones['EvInicialDoc'.$k].'</EvInicialDoc'.$k.'>';
                                    } else
                                            $bufer.='					<EvInicialDoc'.$k.'></EvInicialDoc'.$k.'>';
                                }
                                $bufer.='					<EvPrimera>'.$filaObsEvaluaciones['EvPrimera'].'</EvPrimera>';
				for($k=1;$k<6;$k++)
                                {
                                    if($filaObsEvaluaciones['EvPrimeraDoc'.$k]!="" && file_exists("documentos/expediente/".$filaObsEvaluaciones['EvPrimeraDoc'.$k]))
                                    {
                                            $archivos.="documentos/expediente/".$filaObsEvaluaciones['EvPrimeraDoc'.$k].",";
                                            $bufer.='					<EvPrimeraDoc'.$k.'>'.$filaObsEvaluaciones['EvPrimeraDoc'.$k].'</EvPrimeraDoc'.$k.'>';
                                    } else
                                            $bufer.='					<EvPrimeraDoc'.$k.'></EvPrimeraDoc'.$k.'>';
                                }
                                $bufer.='					<EvSegunda>'.$filaObsEvaluaciones['EvSegunda'].'</EvSegunda>';
				for($k=1;$k<6;$k++)
                                {
                                    if($filaObsEvaluaciones['EvSegundaDoc'.$k]!="" && file_exists("documentos/expediente/".$filaObsEvaluaciones['EvSegundaDoc'.$k]))
                                    {
                                            $archivos.="documentos/expediente/".$filaObsEvaluaciones['EvSegundaDoc'.$k].",";
                                            $bufer.='					<EvSegundaDoc'.$k.'>'.$filaObsEvaluaciones['EvSegundaDoc'.$k].'</EvSegundaDoc'.$k.'>';
                                    } else
                                            $bufer.='					<EvSegundaDoc'.$k.'></EvSegundaDoc'.$k.'>';
                                }
                                $bufer.='					<EvTercera>'.$filaObsEvaluaciones['EvTercera'].'</EvTercera>';
				for($k=1;$k<6;$k++)
                                {
                                    if($filaObsEvaluaciones['EvTerceraDoc'.$k]!="" && file_exists("documentos/expediente/".$filaObsEvaluaciones['EvTerceraDoc'.$k]))
                                    {
                                            $archivos.="documentos/expediente/".$filaObsEvaluaciones['EvTerceraDoc'.$k].",";
                                            $bufer.='					<EvTerceraDoc'.$k.'>'.$filaObsEvaluaciones['EvTerceraDoc'.$k].'</EvTerceraDoc'.$k.'>';
                                    } else
                                            $bufer.='					<EvTerceraDoc'.$k.'></EvTerceraDoc'.$k.'>';
                                }
                                $bufer.='					<EvFinal>'.$filaObsEvaluaciones['EvFinal'].'</EvFinal>';
				for($k=1;$k<6;$k++)
                                {
                                    if($filaObsEvaluaciones['EvFinalDoc'.$k]!="" && file_exists("documentos/expediente/".$filaObsEvaluaciones['EvFinalDoc'.$k]))
                                    {
                                            $archivos.="documentos/expediente/".$filaObsEvaluaciones['EvFinalDoc'.$k].",";
                                            $bufer.='					<EvFinalDoc'.$k.'>'.$filaObsEvaluaciones['EvFinalDoc'.$k].'</EvFinalDoc'.$k.'>';
                                    } else
                                            $bufer.='					<EvFinalDoc'.$k.'></EvFinalDoc'.$k.'>';
                                }
                                $bufer.='					<EvExtraordinaria>'.$filaObsEvaluaciones['EvExtraordinaria'].'</EvExtraordinaria>';
				for($k=1;$k<6;$k++)
                                {
                                    if($filaObsEvaluaciones['EvExtraordinariaDoc'.$k]!="" && file_exists("documentos/expediente/".$filaObsEvaluaciones['EvExtraordinariaDoc'.$k]))
                                    {
                                            $archivos.="documentos/expediente/".$filaObsEvaluaciones['EvExtraordinariaDoc'.$k].",";
                                            $bufer.='					<EvExtraordinariaDoc'.$k.'>'.$filaObsEvaluaciones['EvExtraordinariaDoc'.$k].'</EvExtraordinariaDoc'.$k.'>';
                                    } else
                                            $bufer.='					<EvExtraordinariaDoc'.$k.'></EvExtraordinariaDoc'.$k.'>';
                                }
                                
				$bufer.='				</obsevaluacion>';
			}
			$bufer.='			</obsevaluaciones>';

		//informes

			$consultaInformes=mysql_query("SELECT * FROM informes WHERE idAlumno=".$id." ORDER BY id",$conexion);

			$bufer.='			<informes>';

			while($filaInformes=mysql_fetch_array($consultaInformes))
			{
				$bufer.='				<informe>';
				$bufer.='					<idAnio>'.$filaInformes['idAnio'].'</idAnio>';
				if($filaInformes['idCurso']!="")
					$bufer.='					<idCurso>'.$filaInformes['idCurso'].'</idCurso>';
				else
					$bufer.='					<idCurso>NULL</idCurso>';
				$bufer.='					<Centro>'.$filaInformes['Centro'].'</Centro>';
				if($filaInformes['Informe']!="" && file_exists($filaInformes['Informe']))
				{
					$archivos.=$filaInformes['Informe'].",";
					$bufer.='					<Informe>'.$filaInformes['Informe'].'</Informe>';
				} else
					$bufer.='					<Informe></Informe>';				
				$bufer.='					<idTipo>'.$filaInformes['idTipo'].'</idTipo>';

				$bufer.='				</informe>';
			}
			$bufer.='			</informes>';

		//expedientes

			$consultaExp=mysql_query("SELECT * FROM expedientes WHERE idAl=".$id." ORDER BY id",$conexion);

			$bufer.='			<expedientes>';

			while($filaExp=mysql_fetch_array($consultaExp))
			{
				$bufer.='				<expediente>';
				if(file_exists("documentos/expedientes/".$filaExp['expediente']))
				{
					$archivos.="documentos/expedientes/".$filaExp['expediente'].",";
					$bufer.='					<expediente>'.$filaExp['expediente'].'</expediente>';
				} else
					$bufer.='					<expediente></expediente>';
					
				$bufer.='				</expediente>';
			}
			$bufer.='			</expedientes>';

		//entrevistas

			$consultaEntrevistas=mysql_query("SELECT * FROM entrevistas WHERE idAlumno=".$id,$conexion);

			$bufer.='			<entrevistas>';

			while($filaEntrevistas=mysql_fetch_array($consultaEntrevistas))
			{
				$bufer.='				<entrevista>';
				$bufer.='					<fecha>'.$filaEntrevistas['fecha'].'</fecha>';
				$bufer.='					<asisten>'.$filaEntrevistas['asisten'].'</asisten>';
				$bufer.='					<resumen>'.$filaEntrevistas['resumen'].'</resumen>';
				for($k=1;$k<6;$k++)
                                {
                                    if($filaEntrevistas['resumenDoc'.$k]!="" && file_exists("documentos/entrevista/".$filaEntrevistas['resumenDoc'.$k]))
                                    {
                                            $archivos.="documentos/entrevista/".$filaEntrevistas['resumenDoc'.$k].",";
                                            $bufer.='					<resumenDoc'.$k.'>'.$filaEntrevistas['resumenDoc'.$k].'</resumenDoc'.$k.'>';
                                    } else
                                            $bufer.='					<resumenDoc'.$k.'></resumenDoc'.$k.'>';
                                }

                                $bufer.='				</entrevista>';
			}
			$bufer.='			</entrevistas>';

		//datospsicopedagogicos

			$consultaDatPsi=mysql_query("SELECT * FROM datospsicopedagogicos WHERE idAlumno=".$id,$conexion);

			$bufer.='			<datospsicopedagogicos>';

			$n=0; //para los archivos

			while($filaDatPsi=mysql_fetch_array($consultaDatPsi))
			{
				$bufer.='				<dato>';
				$bufer.='					<Fecha>'.$filaDatPsi['Fecha'].'</Fecha>';
				$bufer.='					<Prueba>'.$filaDatPsi['Prueba'].'</Prueba>';
				$bufer.='					<idAplicacion>'.$filaDatPsi['idAplicacion'].'</idAplicacion>';
				$bufer.='					<Examinador>'.$filaDatPsi['Examinador'].'</Examinador>';
				$bufer.='					<Resultados>'.$filaDatPsi['Resultados'].'</Resultados>';
                                for($k=1;$k<6;$k++)
                                {
                                    if($filaDatPsi['ResultadosDoc'.$k]!="" && file_exists("documentos/datospsicopedagogicos/".$filaDatPsi['ResultadosDoc'.$k]))
                                    {
                                            $archivos.="documentos/datospsicopedagogicos/".$filaDatPsi['ResultadosDoc'.$k].",";
                                            $bufer.='					<ResultadosDoc'.$k.'>'.$filaDatPsi['ResultadosDoc'.$k].'</ResultadosDoc'.$k.'>';
                                    } else
                                            $bufer.='					<ResultadosDoc'.$k.'></ResultadosDoc'.$k.'>';
                                }
				$bufer.='				</dato>';
			}
			$bufer.='			</datospsicopedagogicos>';

		//comportamiento

			$consultaComportamiento=mysql_query("SELECT * FROM comportamiento WHERE idAlumno=".$id,$conexion);

			$bufer.='			<comportamientos>';

			$n=0; //para los archivos

			while($filaComportamiento=mysql_fetch_array($consultaComportamiento))
			{
				$bufer.='				<comportamiento>';
				$bufer.='					<idAnio>'.$filaComportamiento['idAnio'].'</idAnio>';
				if($filaComportamiento['idCurso']!="")
					$bufer.='					<idCurso>'.$filaComportamiento['idCurso'].'</idCurso>';
				else
					$bufer.='					<idCurso>NULL</idCurso>';
				$bufer.='					<Centro>'.$filaComportamiento['Centro'].'</Centro>';
				$bufer.='					<Problemas>'.$filaComportamiento['Problemas'].'</Problemas>';
				for($k=1;$k<6;$k++)
                                {
                                    if($filaComportamiento['ProblemasDoc'.$k]!="" && file_exists("documentos/comportamiento/".$filaComportamiento['ProblemasDoc'.$k]))
                                    {
                                            $archivos.="documentos/comportamiento/".$filaComportamiento['ProblemasDoc'.$k].",";
                                            $bufer.='					<ProblemasDoc'.$k.'>'.$filaComportamiento['ProblemasDoc'.$k].'</ProblemasDoc'.$k.'>';
                                    } else
                                            $bufer.='					<ProblemasDoc'.$k.'></ProblemasDoc'.$k.'>';
                                }
                                if($filaComportamiento['idMedidas']!="")
					$bufer.='					<idMedidas>'.$filaComportamiento['idMedidas'].'</idMedidas>';
				else
					$bufer.='					<idMedidas>NULL</idMedidas>';

				$bufer.='				</comportamiento>';
			}
			$bufer.='			</comportamientos>';

			$archivos=substr($archivos,0,strlen($archivos)-1);
			$archivo = new PclZip('archivo.zip');
			
			if(!$archivos)
			{
				$archivos="vacio.txt";
			}
			$lista_archivos = $archivo->create($archivos);
		
			rename("archivo.zip",$nie.".gis");
	
			unset($archivos);
			unset($archivo);
			
			$bufer.='		</alumno>';
		}
	}
	$bufer.='	</alumnos>';

  	$file=fopen("alumnos.xml","w+");
  	fwrite ($file,$bufer);
  	fclose($file);
  	
	//empaquetamos todos los archivos

	$archivoEmpaquetado="alumnos.xml,";
	
	for($i=0; $i<=$_REQUEST['nalumnos']; $i++)
	{
		if($_REQUEST['alu'.$i])
		{
		//	if(file_exists($_REQUEST['niealu'.$i].".gis,"))
		//	{
				$archivoEmpaquetado.=$_REQUEST['niealu'.$i].".gis,";
		//	}
		}
	}
	$archivoEmpaquetado=substr($archivoEmpaquetado,0,strlen($archivoEmpaquetado)-1);
	
	$archivo = new PclZip('archivo.zip');

	$lista_archivos=$archivo->create($archivoEmpaquetado);
	
	header("Content-type: application/gis");
	header("Content-Disposition: attachment; filename=gispoExp".date("Ymd").".gis");
	readfile("archivo.zip");
	
	unlink("archivo.zip");
	unlink("alumnos.xml");
	for($i=0; $i<=$_REQUEST['nalumnos']; $i++)
	{
		if($_REQUEST['alu'.$i])
		{
			unlink($_REQUEST['niealu'.$i].".gis");
		}
	}

?>